summaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
authorJoerg Jaspert <joerg@debian.org>2011-02-22 22:43:03 +0100
committerJoerg Jaspert <joerg@debian.org>2011-02-22 22:43:03 +0100
commit8270afe35f99ea375a71e611e8ff727a6d608bab (patch)
treebf41b7b53f94f88f274123417c41855fd054e884 /bin
parent9fea491aa95729be2540ae50a3dcce6127a3e7c7 (diff)
runmirrors
we all like some "" Signed-off-by: Joerg Jaspert <joerg@debian.org>
Diffstat (limited to 'bin')
-rwxr-xr-xbin/runmirrors14
1 files changed, 7 insertions, 7 deletions
diff --git a/bin/runmirrors b/bin/runmirrors
index f5f6efc..0758c4d 100755
--- a/bin/runmirrors
+++ b/bin/runmirrors
@@ -127,7 +127,7 @@ else
fi
if ! [ -f "${BASEDIR}/${KEYFILE}" ]; then
- error "SSH Key ${BASEDIR}/${KEYFILE} does not exist" >> ${LOG}
+ error "SSH Key ${BASEDIR}/${KEYFILE} does not exist" >> "${LOG}"
exit 5
fi
@@ -139,16 +139,16 @@ HOOK3=${HOOK3:-""}
########################################################################
# Some sane defaults
-cd ${BASEDIR}
+cd "${BASEDIR}"
umask 022
# Make sure we have our log and lock directories
mkdir -p "${LOGDIR}"
mkdir -p "${LOCKDIR}"
-trap 'log "Mirrorpush done" >> ${LOG}; savelog "${LOG}" > /dev/null' EXIT
+trap 'log "Mirrorpush done" >> "${LOG}"; savelog "${LOG}" > /dev/null' EXIT
-log "Pushing leaf mirrors. Inside ftpsync: ${FROMFTPSYNC}. Pushkind: ${PUSHKIND}" >> ${LOG}
+log "Pushing leaf mirrors. Inside ftpsync: ${FROMFTPSYNC}. Pushkind: ${PUSHKIND}" >> "${LOG}"
HOOK=(
HOOKNR=1
@@ -243,9 +243,9 @@ while read MTYPE MLNAME MHOSTNAME MUSER MSSHOPT; do
)
# And finally, push the mirror
- log "Trigger ${MLNAME}" >> ${LOG}
+ log "Trigger ${MLNAME}" >> "${LOG}"
signal "${SIGNAL_OPTS}" &
- log "Trigger for ${MLNAME} done" >> ${LOG}
+ log "Trigger for ${MLNAME} done" >> "${LOG}"
HOOK=(
HOOKNR=2
@@ -273,7 +273,7 @@ if [ "xtruex" = "x${FROMFTPSYNC}x" ] && [ "xmhopx" = "x${PUSHKIND}x" ]; then
done
if [ ${tries} -ge ${PUSHDELAY} ]; then
- error "Failed to wait for our mirrors when sending mhop push down." >> ${LOG}
+ error "Failed to wait for our mirrors when sending mhop push down." >> "${LOG}"
fi
fi